/* You can add global styles to this file, and also import other style files */
@import url("https://fonts.googleapis.com/css?family=Roboto");

* {
   margin: 0;
   padding: 0;
   box-sizing: border-box;
}
body {
   font-family: Roboto;
   padding-top: 80px;
   padding-left: 15px;
   padding-right: 15px;
}
header {
   background-color: red;
   color: white;
   position: fixed;
   width: 100%;
   top: 0;
   left: 0;
   display: flex;
   flex-wrap: wrap;
   justify-content: space-between;
   padding: 15px 30px;
   align-items: center;
   .header-nav {
      list-style: none;
      display: flex;
      align-items: center;
      li {
         margin-left: 10px;
      }
      li.active a {
         color: #333333;
         cursor: default;
      }

      a {
         text-decoration: none;
         color: white;
         font-weight: bold;
      }
   }
}
.btn {
   padding: 5px 15px;
   background-color: rgba(0, 0, 0, 0.788);
   color: #fff;
   margin-right: 10px;
   &:hover {
      opacity: 0.7;
   }
   &:disabled {
      background: #ccc;
      color: #000;
      cursor: not-allowed;
   }
}
h1 {
   font-size: 1.5rem;
   cursor: pointer;
}
.block {
   padding: 1rem;
   border: #ccc 1px dotted;
   margin: 0.7rem 0;

   p {
      display: flex;
      justify-content: space-between;

      span.completed {
         text-decoration: line-through;
      }
   }
}
input {
   &.ng-invalid.ng-touched {
      border: 1px solid red;
   }

   &.ng-valid.ng-touched {
      border: 1px solid green;
   }
}
a:hover {
   color: #666;
}
.form-control {
   display: block;
   margin-top: 0.3rem;
   margin-bottom: 0.5rem;

   label {
      display: block;
      font-weight: bold;
      font-size: 1rem;
      margin-bottom: 0.5rem;
   }

   input {
      margin-bottom: 0;
   }

   .validation {
      color: red;
   }
}

.card {
   padding: 1rem;
   border: #ccc 1px dotted;
   margin: 0.7rem 0;

   p {
      display: flex;
      justify-content: space-between;
      flex-wrap: wrap;

      span.completed {
         text-decoration: line-through;
      }
      &.error {
         color: red;
      }
   }
}

input,
select,
textarea {
   display: block;
   width: 100%;
   padding: 0.4rem;
   font-size: 1.2rem;
   border: 1px solid #ccc;
   margin-bottom: 1rem;
}

hr {
   margin: 0.5rem 0;
}
.red {
   background-color: red;
}
.green {
   background-color: green;
}
p {
   &.error {
      color: red;
   }
}
